Bug 1554697 - didn't get emoji among the candidates when I type chinese
Summary: didn't get emoji among the candidates when I type chinese
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin   
(Show other bugs)
Version: 28
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-13 08:04 UTC by lnie
Modified: 2018-04-09 09:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-09 09:03:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast (147.93 KB, application/octet-stream)
2018-03-13 08:04 UTC, lnie
no flags Details
journal (897.68 KB, text/plain)
2018-03-13 08:41 UTC, lnie
no flags Details
emoji-picker-chinese-search.png (310.55 KB, image/png)
2018-03-14 07:34 UTC, Mike FABIAN
no flags Details

Description lnie 2018-03-13 08:04:45 UTC
Created attachment 1407450 [details]
screencast

Description of problem:
I'm testing http://fedoraproject.org/wiki/QA:Testcase_ibus-typing-booster
As shown in the attached video,I type cat/smile in Chinese,but didn't get according emoji among the candidates

Version-Release number of selected component (if applicable):
ibus-typing-booster-1.5.35-1.fc28

How reproducible:
always
Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lnie 2018-03-13 08:41 UTC
Created attachment 1407475 [details]
journal

Comment 2 Mike FABIAN 2018-03-14 07:31:57 UTC
In your screencast, you are using "Intelligent pinyin" (ibus-libpinyin),
not ibus-typing-booster. ibus-libpinyin apparently does not support emoji input. 
You can search for emoji in Chinese by using ibus-libpinyin to type into the search entry of emoji picker though.

Comment 3 Mike FABIAN 2018-03-14 07:34 UTC
Created attachment 1407859 [details]
emoji-picker-chinese-search.png

Searching for Chinese in emoji-picker.
I typed 猫 using ibus-libpinyin.


Note You need to log in before you can comment on or make changes to this bug.